package cc.toph.simplycompat;

import cc.toph.simplycompat.config.Config;
import cc.toph.simplycompat.registry.ConfigRegistry;
import cc.toph.simplycompat.registry.ItemsRegistry;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public final class SimplyCompat {

  public static final String MOD_ID = "simplycompat";

  // Unused TAB, for now added so SS's Tab registry by  SSSwordItem class
  // public static final DeferredRegister<CreativeModeTab> TABS = DeferredRegister.create(
  //   MOD_ID,
  //   Registries.CREATIVE_MODE_TAB
  // );
  // public static final RegistrySupplier<CreativeModeTab> SIMPLYCOMPAT = TABS.register(MOD_ID, () ->
  //   CreativeTabRegistry.create(
  //     Component.translatable("creativeTab.simplycompat.simplycompat"),
  //     () -> new ItemStack(Items.AMETHYST_SHARD)
  //   )
  // );

  public static final Logger LOGGER = LogManager.getLogger(MOD_ID);

  public static void init() {
    // TABS.register();
    ConfigRegistry.registerConfigs();
    ItemsRegistry.registerAllSwords();
  }
}
